# DataExchange
TKXSBase
StepData

# StepData_Simple Class Reference

A Simple Entity is defined by a type (which can heve super
types) and a list of parameters
.

`#include <StepData_Simple.hxx>`

Inheritance diagram for StepData_Simple:

[legend]

## Public Member Functions

Standard_EXPORT | StepData_Simple (const Handle(StepData_ESDescr)&descr)
| Creates a Simple Entity .
Standard_EXPORT Handle_StepData_ESDescr | ESDescr () const
| Returns description, as for simple .
Standard_EXPORT Standard_CString | StepType () const
| Returns the recorded StepType (TypeName of its ESDescr) .
Standard_EXPORT Standard_Boolean | IsComplex () const
| Returns False .
Standard_EXPORT Standard_Boolean | Matches (const Standard_CString steptype) const
| Tells if a step type is matched by <me> For a Simple Entity : own type or super type For a Complex Entity : one of the members .
Standard_EXPORT Handle_StepData_Simple | As (const Standard_CString steptype) const
| Returns a Simple Entity which matches with a Type in <me> : For a Simple Entity : me if it matches, else a null handle For a Complex Entity : the member which matches, else null .
Standard_EXPORT Standard_Boolean | HasField (const Standard_CString name) const
| Tells if a Field brings a given name .
Standard_EXPORT const StepData_Field & | Field (const Standard_CString name) const
| Returns a Field from its name; read-only .
Standard_EXPORT StepData_Field & | CField (const Standard_CString name)
| Returns a Field from its name; read or write .
Standard_EXPORT Standard_Integer | NbFields () const
| Returns the count of fields .
Standard_EXPORT const StepData_Field & | FieldNum (const Standard_Integer num) const
| Returns a field from its rank, for read-only use .
Standard_EXPORT StepData_Field & | CFieldNum (const Standard_Integer num)
| Returns a field from its rank, in order to modify it .
Standard_EXPORT const StepData_FieldListN & | Fields () const
| Returns the entire field list, read-only .
Standard_EXPORT StepData_FieldListN & | CFields ()
| Returns the entire field list, read or write .
Standard_EXPORT void | Check (Handle(Interface_Check)&ach) const
| Fills a Check by using its Description .
Standard_EXPORT void | Shared (Interface_EntityIterator &list) const
| Fills an EntityIterator with entities shared by <me> .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepData_FieldListN | thefields

## Constructor & Destructor Documentation

Standard_EXPORT StepData_Simple::StepData_Simple | ( | const Handle(StepData_ESDescr)& | descr | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepData_Simple StepData_Simple::As | ( | const Standard_CString | steptype | ) | const`[virtual]`

| Implements StepData_Described.

Standard_EXPORT StepData_Field& StepData_Simple::CField | ( | const Standard_CString | name | ) | `[virtual]`

| Implements StepData_Described.

Standard_EXPORT StepData_Field& StepData_Simple::CFieldNum | ( | const Standard_Integer | num | ) |

Standard_EXPORT StepData_FieldListN& StepData_Simple::CFields | ( |  | ) |

Standard_EXPORT void StepData_Simple::Check | ( | Handle(Interface_Check)& | ach | ) | const`[virtual]`

| Implements StepData_Described.

Standard_EXPORT Handle_StepData_ESDescr StepData_Simple::ESDescr | ( |  | ) | const

Standard_EXPORT const StepData_Field& StepData_Simple::Field | ( | const Standard_CString | name | ) | const`[virtual]`

| Implements StepData_Described.

Standard_EXPORT const StepData_Field& StepData_Simple::FieldNum | ( | const Standard_Integer | num | ) | const

Standard_EXPORT const StepData_FieldListN& StepData_Simple::Fields | ( |  | ) | const

Standard_EXPORT const StepData_Simple::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_Described.

Standard_EXPORT Standard_Boolean StepData_Simple::HasField | ( | const Standard_CString | name | ) | const`[virtual]`

| Implements StepData_Described.

Standard_EXPORT Standard_Boolean StepData_Simple::IsComplex | ( |  | ) | const`[virtual]`

| Implements StepData_Described.

Standard_EXPORT Standard_Boolean StepData_Simple::Matches | ( | const Standard_CString | steptype | ) | const`[virtual]`

| Implements StepData_Described.

Standard_EXPORT Standard_Integer StepData_Simple::NbFields | ( |  | ) | const

Standard_EXPORT void StepData_Simple::Shared | ( | Interface_EntityIterator & | list | ) | const`[virtual]`

| Implements StepData_Described.

Standard_EXPORT Standard_CString StepData_Simple::StepType | ( |  | ) | const

## Field Documentation

StepData_FieldListN StepData_Simple::thefields `[private]`

The documentation for this class was generated from the following file:

- StepData_Simple.hxx